import { CSSObject } from '@mantine/core';
import { ForwardedRef } from 'react';
import { DataTableColumn, DataTableSortStatus } from './types';
type DataTableHeaderProps<T> = {
    className?: string;
    style?: CSSObject;
    sortStatus: DataTableSortStatus | undefined;
    onSortStatusChange: ((sortStatus: DataTableSortStatus) => void) | undefined;
    columns: DataTableColumn<T>[];
    selectionVisible: boolean;
    selectionChecked: boolean;
    selectionIndeterminate: boolean;
    onSelectionChange: (() => void) | undefined;
    leftShadowVisible: boolean;
};
declare const _default: <T>(props: DataTableHeaderProps<T> & {
    ref: ForwardedRef<HTMLTableSectionElement>;
}) => JSX.Element;
export default _default;
//# sourceMappingURL=DataTableHeader.d.ts.map